Company logoTrust Center Documentation

Get account details

Retrieve detailed information about a specific account including contacts, documents, and revision history. Browse request parameters, authentication…

GET
/api/v1/accounts/{id}

Retrieve detailed information about a specific account including contacts, documents, and revision history.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Account ID

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/api/v1/accounts/550e8400-e29b-41d4-a716-446655440000"
{  "account": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "title": "Burger King",    "description": "Fast-food chain EU division",    "review_status": "completed",    "type": "enterprise",    "is_internal": false,    "contacts": [      {        "id": "contact-123",        "email": "compliance@burgerking.com",        "first_name": "Jane",        "last_name": "Doe"      }    ]  },  "revisions": [],  "documents": [],  "customFields": [    {      "id": "cf-value-123",      "value": "emea",      "template": {        "id": "cft-456",        "title": "Region",        "type": "select",        "collection": "accounts",        "translations": [          {            "languages_code": "en-US",            "title": "Region"          }        ],        "options": [          {            "value": "emea",            "label": [              {                "languages_code": "en-US",                "translation": "EMEA"              }            ]          }        ]      }    }  ]}

How is this guide?